import { ResultAsync } from "neverthrow";
import { SolanaNFT, SolanaTransaction, TokenBalance } from "../../../businessObjects/index.js";
import { AccountIndexingError, AjaxError } from "../../../errors/index.js";
import { IIndexer } from "../../../interfaces/chains/IIndexer.js";
import { ChainId, SolanaAccountAddress } from "../../../primitives/index.js";
export interface ISolanaIndexer extends IIndexer {
    getBalancesForAccount(chainId: ChainId, accountAddress: SolanaAccountAddress): ResultAsync<TokenBalance[], AccountIndexingError | AjaxError>;
    getTokensForAccount(chainId: ChainId, accountAddress: SolanaAccountAddress): ResultAsync<SolanaNFT[], AccountIndexingError | AjaxError>;
    getSolanaTransactions(chainId: ChainId, accountAddress: SolanaAccountAddress, startTime: Date, endTime?: Date): ResultAsync<SolanaTransaction[], AccountIndexingError | AjaxError>;
}
//# sourceMappingURL=ISolanaIndexer.d.ts.map